## com.bbn.openmap.dataAccess.image.geotiff
Class GeoTIFFModelFactory

    java.lang.Object
      com.bbn.openmap.dataAccess.image.geotiff.GeoTIFFModelFactory

public class GeoTIFFModelFactory
extends java.lang.Object

Field Summary
`protected GeoTIFFFile` `gtfFile`
`static java.util.logging.Logger` `logger`

Constructor Summary
`GeoTIFFModelFactory(GeoTIFFFile gtf)`

Method Summary
`protected ImageTile` `get4326(GeoTIFFImageReader gtid, ImageTile.Cache cache)`
`ImageTile` `getImageTile()`
`ImageTile` `getImageTile(GeoTIFFImageReader gtid, ImageTile.Cache cache)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static java.util.logging.Logger logger

### gtfFile

    protected GeoTIFFFile gtfFile

Constructor Detail

### GeoTIFFModelFactory

    public GeoTIFFModelFactory(GeoTIFFFile gtf)

Method Detail

### getImageTile

    public ImageTile getImageTile()
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getImageTile

    public ImageTile getImageTile(GeoTIFFImageReader gtid,
                                  ImageTile.Cache cache)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### get4326

    protected ImageTile get4326(GeoTIFFImageReader gtid,
                                ImageTile.Cache cache)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details